package com.example.demo.entrysData.api;

import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public class EntrysDataSignupDto {
    @NotBlank
    @Size(min = 3, max = 20)
    private String login;
    private Long Id;
    @Min(1)
    private Long departmentId;
    @NotBlank
    @Size(min = 3, max = 20)
    private String password;
    @NotBlank
    @Size(min = 3, max = 20)
    private String passwordConfirm;

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public Long getId(){
        return Id;
    }
    
    public void setId(Long Id){
        this.Id = Id;
    }

    public Long getDepartmentId(){
        return departmentId;
    }
    
    public void setDepartmentId(Long departmentId){
        this.departmentId = departmentId;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPasswordConfirm() {
        return passwordConfirm;
    }

    public void setPasswordConfirm(String passwordConfirm) {
        this.passwordConfirm = passwordConfirm;
    }
}
